package envoy.client;

import javafx.application.Application;

import envoy.client.ui.Startup;

/**
 * Triggers application startup.
 * <p>
 * To allow Maven shading, the main method has to be separated from the
 * {@link Startup} class which extends {@link Application}.
 *
 * @author Kai S. K. Engelbart
 * @since Envoy Client v0.1-beta
 */
public final class Main {

	/**
	 * A funny debug switch put in by {@code delvh} to enable easy debugging.
	 *
	 * @since Envoy Client v0.2-beta
	 */
	private static final boolean debug = false;

	/**
	 * Starts the application.
	 *
	 * @param args the command line arguments are processed by the
	 *             client configuration
	 * @since Envoy Client v0.1-beta
	 */
	public static void main(String[] args) {
		if (debug) {
			// Put testing code here
			System.out.println();
			System.exit(0);
		}
		Application.launch(Startup.class, args);
	}
}
