package envoy.client.data.shortcuts;

import java.util.Map;

import javafx.scene.input.KeyCombination;

import envoy.client.ui.SceneContext;

/**
 * Provides methods to set the keyboard shortcuts for a specific scene.
 * Should only be implemented by controllers of scenes so that these methods can
 * automatically be called inside {@link SceneContext} as soon
 * as the underlying FXML file has been loaded.
 *
 * @author Leon Hofmeister
 * @since Envoy Client v0.3-beta
 */
public interface KeyboardMapping {

	/**
	 * @return all keyboard shortcuts of a scene
	 * @since Envoy Client v0.3-beta
	 */
	Map<KeyCombination, Runnable> getKeyboardShortcuts();
}
