package envoy.client.ui;

/**
 * This interface defines an action that should be performed when a scene gets
 * restored from the scene stack in {@link SceneContext}.
 *
 * @author Leon Hofmeister
 * @since Envoy Client v0.1-beta
 */
@FunctionalInterface
public interface Restorable {

	/**
	 * This method is getting called when a scene gets restored.<br>
	 * Hence, it can contain anything that should be done when the underlying scene
	 * gets restored.
	 *
	 * @since Envoy Client v0.1-beta
	 */
	void onRestore();
}
