package envoy.client.ui.control;

import javafx.scene.control.Label;

import envoy.data.Group;

/**
 * Displays the amount of members in a {@link Group}.
 *
 * @author Leon Hofmeister
 * @since Envoy Client v0.3-beta
 */
public final class GroupSizeLabel extends Label {

	/**
	 * @param recipient the group whose members to show
	 * @since Envoy Client v0.3-beta
	 */
	public GroupSizeLabel(Group recipient) {
		super(recipient.getContacts().size() + " member" + (recipient.getContacts().size() != 1 ? "s" : ""));
	}
}
