package envoy.client.ui.control;

import javafx.scene.control.Label;

import envoy.data.User;

/**
 * Displays the status of a {@link User}.
 *
 * @author Leon Hofmeister
 * @since Envoy Client v0.3-beta
 */
public final class UserStatusLabel extends Label {

	/**
	 * @param user the user whose status to display
	 * @since Envoy Client v0.3-beta
	 */
	public UserStatusLabel(User user) {
		super(user.getStatus().toString());
		getStyleClass().add(user.getStatus().toString().toLowerCase());
	}
}
