package envoy.client.ui.settings;

import javafx.event.ActionEvent;
import javafx.scene.control.CheckBox;

import envoy.client.data.SettingsItem;

/**
 * @author Kai S. K. Engelbart
 * @since Envoy Client v0.1-beta
 */
public final class SettingsCheckbox extends CheckBox {

	/**
	 * Creates an instance of {@link SettingsCheckbox}.
	 *
	 * @param settingsItem the {@link SettingsItem} whose values could be adapted
	 * @since Envoy Client v0.1-beta
	 */
	public SettingsCheckbox(SettingsItem<Boolean> settingsItem) {
		super(settingsItem.getUserFriendlyName());
		setSelected(settingsItem.get());
		
		// "Schau, es hat sich behindert" - Kai, 2020
		
		addEventHandler(ActionEvent.ACTION, e -> settingsItem.set(isSelected()));
	}
}
