/**
 * This module contains all classes defining the client application of the Envoy
 * project.
 *
 * @author Kai S. K. Engelbart
 * @author Leon Hofmeister
 * @author Maximilian K&auml;fer
 * @since Envoy Client v0.1-beta
 */
module envoy.client {

	requires envoy.common;
	requires java.desktop;
	requires java.logging;
	requires java.prefs;
	requires javafx.controls;
	requires javafx.fxml;
	requires javafx.base;
	requires javafx.graphics;

	opens envoy.client.ui to javafx.graphics, javafx.fxml, dev.kske.eventbus;
	opens envoy.client.ui.controller to javafx.graphics, javafx.fxml, envoy.client.util, dev.kske.eventbus;
	opens envoy.client.ui.chatscene to javafx.graphics, javafx.fxml, envoy.client.util, dev.kske.eventbus;
	opens envoy.client.ui.control to javafx.graphics, javafx.fxml;
	opens envoy.client.ui.settings to envoy.client.util;
	opens envoy.client.net to dev.kske.eventbus;
	opens envoy.client.data to dev.kske.eventbus;
}
