package envoy.event;

/**
 * This enum declares all modification possibilities for a given container.
 * <p>
 * These can be: {@link ElementOperation#ADD} or
 * {@link ElementOperation#REMOVE}.
 *
 * @author Leon Hofmeister
 * @since Envoy Common v0.1-beta
 */
public enum ElementOperation {

	/**
	 * Select this element, if the given element should be added to the given
	 * container.
	 */
	ADD,

	/**
	 * Select this element, if the given element should be removed from the given
	 * container.
	 */
	REMOVE
}
