package envoy.event;

import envoy.data.Group;

/**
 * Used to communicate with a client that his request to create a group might
 * have been rejected as it might be disabled on his current server.
 *
 * @author Leon Hofmeister
 * @since Envoy Common v0.2-beta
 */
public class GroupCreationResult extends Event<Group> {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a new {@code GroupCreationResult} that implies the failure of this
	 * {@link GroupCreationResult}.
	 *
	 * @since Envoy Common v0.2-beta
	 */
	public GroupCreationResult() { super(null); }

	/**
	 * Creates a new {@code GroupCreationResult}.
	 *
	 * @param resultGroup the group the server created
	 * @since Envoy Common v0.2-beta
	 */
	public GroupCreationResult(Group resultGroup) { super(resultGroup); }
}
