package envoy.event;

/**
 * This event can be used to transmit a new authentication token to a client.
 *
 * @author Kai S. K. Engelbart
 * @since Envoy Common v0.2-beta
 */
public class NewAuthToken extends Event<String> {

	private static final long serialVersionUID = 0L;

	/**
	 * Constructs a new authentication token event.
	 *
	 * @param token the token to transmit
	 * @since Envoy Common v0.2-beta
	 */
	public NewAuthToken(String token) {
		super(token);
	}

	@Override
	public String toString() { return "NewAuthToken"; }
}
