package envoy.event;

/**
 * @author Leon Hofmeister
 * @since Envoy Common v0.2-beta
 */
public final class ProfilePicChange extends Event<byte[]> {

	private final long id;

	private static final long serialVersionUID = 0L;

	/**
	 * @param value  the byte[] of the new image
	 * @param userID the ID of the user who changed his profile pic
	 * @since Envoy Common v0.2-beta
	 */
	public ProfilePicChange(byte[] value, long userID) {
		super(value);
		id = userID;
	}

	/**
	 * @return the ID of the user changing his profile pic
	 * @since Envoy Common v0.2-beta
	 */
	public long getId() { return id; }
}
