package envoy.event.contact;

import envoy.event.Event;

/**
 * Requests a user search from the server.
 *
 * @author Maximilian K&auml;fer
 * @since Envoy Common v0.2-alpha
 */
public final class UserSearchRequest extends Event<String> {

	private static final long serialVersionUID = 0L;

	/**
	 * Initializes a {@link UserSearchRequest}.
	 *
	 * @param searchPhrase the search phrase to use in the user search
	 * @since Envoy Common v0.2-alpha
	 */
	public UserSearchRequest(String searchPhrase) { super(searchPhrase); }
}
