package envoy.event.contact;

import java.util.List;

import envoy.data.User;
import envoy.event.Event;

/**
 * Contains a list of users for which a search has been requested.
 *
 * @author Kai S. K. Engelbart
 * @since Envoy Common v0.2-alpha
 */
public final class UserSearchResult extends Event<List<User>> {

	private static final long serialVersionUID = 0L;

	/**
	 * Creates an instance of {@link UserSearchResult}.
	 *
	 * @param users the users found during the search
	 * @since Envoy Common v0.2-alpha
	 */
	public UserSearchResult(List<User> users) { super(users); }
}
