package envoy.exception;

/**
 * @author Kai S. K. Engelbart
 * @since Envoy v0.1-alpha
 */
public final class EnvoyException extends Exception {

	private static final long serialVersionUID = 2096147309395387479L;

	/**
	 * @param message the message to display once this Exception is thrown
	 * @since Envoy Common v0.2-alpha
	 */
	public EnvoyException(String message) { super(message); }

	/**
	 * @param message the message to display once this Exception is thrown
	 * @param cause   the {@link Throwable} which resulted in the throw of an
	 *                EnvoyException
	 * @since Envoy Common v0.2-alpha
	 */
	public EnvoyException(String message, Throwable cause) { super(message, cause); }

	/**
	 * @param cause the {@link Throwable} which resulted in the throw of an
	 *              EnvoyException
	 * @since Envoy Common v0.2-alpha
	 */
	public EnvoyException(Throwable cause) { super(cause); }
}
