package envoy.server.data;

import javax.persistence.*;

/**
 * @author Kai S. K. Engelbart
 * @since Envoy Server Standalone v0.1-alpha
 */
@Entity
@Table(name = "configuration")
public final class ConfigItem {

	@Id
	private String	key;
	private String	value;

	/**
	 * Creates an instance of @link{ConfigItem}.
	 *
	 * @since Envoy Server Standalone v0.1-alpha
	 */
	public ConfigItem() {}

	/**
	 * Creates an instance of @link{ConfigItem}.
	 *
	 * @param key   the name of this {@link ConfigItem}
	 * @param value the value of this {@link ConfigItem}
	 * @since Envoy Server Standalone v0.1-alpha
	 */
	public ConfigItem(String key, String value) {
		this.key	= key;
		this.value	= value;
	}

	/**
	 * @return the key
	 * @since Envoy Server Standalone v0.1-alpha
	 */
	public String getKey() { return key; }

	/**
	 * @param key the key to set
	 * @since Envoy Server Standalone v0.1-alpha
	 */
	public void setKey(String key) { this.key = key; }

	/**
	 * @return the value
	 * @since Envoy Server Standalone v0.1-alpha
	 */
	public String getValue() { return value; }

	/**
	 * @param value the value to set
	 * @since Envoy Server Standalone v0.1-alpha
	 */
	public void setValue(String value) { this.value = value; }
}
